Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000136 [libFirm] optimisations feature N/A 2014-02-16 18:21 2016-01-03 03:28
Reporter Matze View Status public  
Assigned To UniQ
Priority low Resolution fixed  
Status closed   Product Version
Summary 0000136: Localopt: x != y with x and y being just 0/1 => x ^ y
Description If we produce a 0/1value from two values where we know that both values can only be 0 or 1, then we can use xor instead of the cmp/mux combination.
An example for this would be testing if the sign of 2 integer values differs:
  return (a<0) != (b<0);
The ideal solution for this is (a ^ b) >> 31. To get this result firm needs the rule discussed here.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000210)
UniQ (developer)
2014-02-25 10:04

Fixed in libfirm 11a73b210340f2e9529c32d515b78f5d28750e19.

- Issue History
Date Modified Username Field Change
2014-02-16 18:21 Matze New Issue
2014-02-25 10:04 UniQ Assigned To => UniQ
2014-02-25 10:04 UniQ Status new => confirmed
2014-02-25 10:04 UniQ Note Added: 0000210
2014-02-25 10:04 UniQ Status confirmed => resolved
2014-02-25 10:04 UniQ Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker